GET api/v2.0/Announcements/GetAnnouncements?announcementTypeFilter={announcementTypeFilter}&communityKey={communityKey}µsiteGroupTypeRouteDesignKey={micrositeGroupTypeRouteDesignKey}&sortOrder={sortOrder}&maxResults={maxResults}&includeAnnouncementsWithNoType={includeAnnouncementsWithNoType}
Returns a list of Announcements given the specified criteria.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| announcementTypeFilter |
Comma-separated list of AnnouncementTypes to return. Optional: Returns all if none specified. |
string |
Default value is |
| communityKey |
Filters results by a specific CommunityKey Guid. Optional: Returns all if none specified. |
string |
Default value is |
| micrositeGroupTypeRouteDesignKey |
Filters results by a specific micrositeGroupTypeRouteDesignKey. Optional: Returns all if none specified. |
string |
Default value is |
| sortOrder |
Specify SQL-style sort order in a comma-separated string. Optional: Defaults to CreatedOn Date, in descending order if none specified. |
string |
Default value is |
| maxResults |
The maximum results to return. Optional: Defaults to 100 if not specified. |
integer |
Default value is 100 |
| includeAnnouncementsWithNoType |
If Set to true; returns announcements with no AnnouncementType set. If set to false; returns only announcements specified in the 'announcementTypeFilter' parameter. |
boolean |
Default value is True |
Body Parameters
None.
Response Information
Resource Description
List of Announcements.
Collection of Announcement| Name | Description | Type | Additional information |
|---|---|---|---|
| AnnouncementKey |
The primary key for the announcement. |
globally unique identifier |
None. |
| AnnouncementText |
The announcement content/body. |
string |
None. |
| AnnouncementTitle |
Title of the announcement. |
string |
None. |
| AnnouncementType |
Type of announcement, otherwise string.Empty. |
string |
None. |
| CommunityKey |
If the announcement is associated to a community, is the primary key for the community, otherwise Guid.Empty. |
globally unique identifier |
None. |
| CommunityName |
If the announcement is associated to a community, is the name of the community, otherwise not included. |
string |
None. |
| CreatedByContactKey |
The primary key of the contact who created the announcement. |
globally unique identifier |
None. |
| ContactDisplayName |
The display name of the contact who created the announcement. |
string |
None. |
| LinkToContactProfile |
The url that links to the profile of the contact who created the announcement. |
string |
None. |
| ContactLargePictureUrl |
The url of the large picture of the contact who created the announcement. |
string |
None. |
| ContactSmallPictureUrl |
The url of the small picture of the contact who created the announcement. |
string |
None. |
| CreatedOn |
The DateTime at which the announcement was created. |
date |
None. |
| IsLoggingEnabled |
If logging is enabled for this item. |
boolean |
None. |
| LinkText |
URL Text given at creation the text to be displayed with the LinkUrl. Optional, else is string.Empty. |
string |
None. |
| LinkUrl |
Additional URL given at creation. Optional, else is string.Empty. |
string |
None. |
| MicrositeGroupTypeRouteDesignKey |
The primary key for the MicrositeGroupTypeRouteDesign for the announcement. |
globally unique identifier |
None. |
| OpenNewWindow |
If the LinkUrl should open in a new window. |
boolean |
None. |
| Tags |
All of the tags indexed for the item. This includes user tags and admin based tags. |
Collection of ItemTagResponse |
None. |
| UpdatedByContactKey |
The primary key of the contact who last updated the announcement. |
globally unique identifier |
None. |
| UpdatedOn |
The DateTime at which the announcement was last updated. |
date |
None. |
| UserPermissions |
Permissions for actions the current user can take |
Collection of string |
None. |
Response Formats
application/json, text/json
[
{
"AnnouncementKey": "0024baf3-290a-49de-9d36-3f0b602a103a",
"AnnouncementText": "sample string 2",
"AnnouncementTitle": "sample string 3",
"AnnouncementType": "sample string 4",
"CommunityKey": "16b3d287-8f02-4966-85c3-44b98958643f",
"CommunityName": "sample string 6",
"CreatedByContactKey": "1f2f8b57-4197-450f-aa2f-46059793bfd1",
"ContactDisplayName": "sample string 8",
"LinkToContactProfile": "sample string 9",
"ContactLargePictureUrl": "sample string 10",
"ContactSmallPictureUrl": "sample string 11",
"CreatedOn": "2026-01-24T18:01:15.7508099Z",
"IsLoggingEnabled": true,
"LinkText": "sample string 14",
"LinkUrl": "sample string 15",
"MicrositeGroupTypeRouteDesignKey": "84f05f0b-ecc8-43d2-802c-b80c489e7138",
"OpenNewWindow": true,
"Tags": [
{
"Tag": "sample string 1",
"TagType": "sample string 2"
},
{
"Tag": "sample string 1",
"TagType": "sample string 2"
}
],
"UpdatedByContactKey": "ba62916d-2917-4a68-afea-4309388107e1",
"UpdatedOn": "2026-01-24T18:01:15.7508099Z",
"UserPermissions": [
"sample string 1",
"sample string 2"
]
},
{
"AnnouncementKey": "0024baf3-290a-49de-9d36-3f0b602a103a",
"AnnouncementText": "sample string 2",
"AnnouncementTitle": "sample string 3",
"AnnouncementType": "sample string 4",
"CommunityKey": "16b3d287-8f02-4966-85c3-44b98958643f",
"CommunityName": "sample string 6",
"CreatedByContactKey": "1f2f8b57-4197-450f-aa2f-46059793bfd1",
"ContactDisplayName": "sample string 8",
"LinkToContactProfile": "sample string 9",
"ContactLargePictureUrl": "sample string 10",
"ContactSmallPictureUrl": "sample string 11",
"CreatedOn": "2026-01-24T18:01:15.7508099Z",
"IsLoggingEnabled": true,
"LinkText": "sample string 14",
"LinkUrl": "sample string 15",
"MicrositeGroupTypeRouteDesignKey": "84f05f0b-ecc8-43d2-802c-b80c489e7138",
"OpenNewWindow": true,
"Tags": [
{
"Tag": "sample string 1",
"TagType": "sample string 2"
},
{
"Tag": "sample string 1",
"TagType": "sample string 2"
}
],
"UpdatedByContactKey": "ba62916d-2917-4a68-afea-4309388107e1",
"UpdatedOn": "2026-01-24T18:01:15.7508099Z",
"UserPermissions": [
"sample string 1",
"sample string 2"
]
}
]
application/xml, text/xml
<ArrayOfAnnouncement xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HigherLogic.API.Models.Enterprise">
<Announcement>
<AnnouncementKey>0024baf3-290a-49de-9d36-3f0b602a103a</AnnouncementKey>
<AnnouncementText>sample string 2</AnnouncementText>
<AnnouncementTitle>sample string 3</AnnouncementTitle>
<AnnouncementType>sample string 4</AnnouncementType>
<CommunityKey>16b3d287-8f02-4966-85c3-44b98958643f</CommunityKey>
<CommunityName>sample string 6</CommunityName>
<ContactDisplayName>sample string 8</ContactDisplayName>
<ContactLargePictureUrl>sample string 10</ContactLargePictureUrl>
<ContactSmallPictureUrl>sample string 11</ContactSmallPictureUrl>
<CreatedByContactKey>1f2f8b57-4197-450f-aa2f-46059793bfd1</CreatedByContactKey>
<CreatedOn>2026-01-24T13:01:15.7508099-05:00</CreatedOn>
<IsLoggingEnabled>true</IsLoggingEnabled>
<LinkText>sample string 14</LinkText>
<LinkToContactProfile>sample string 9</LinkToContactProfile>
<LinkUrl>sample string 15</LinkUrl>
<MicrositeGroupTypeRouteDesignKey>84f05f0b-ecc8-43d2-802c-b80c489e7138</MicrositeGroupTypeRouteDesignKey>
<OpenNewWindow>true</OpenNewWindow>
<Tags xmlns:d3p1="http://schemas.datacontract.org/2004/07/HigherLogic.API.Models.Enterprise.Tagging">
<d3p1:ItemTagResponse>
<d3p1:Tag>sample string 1</d3p1:Tag>
<d3p1:TagType>sample string 2</d3p1:TagType>
</d3p1:ItemTagResponse>
<d3p1:ItemTagResponse>
<d3p1:Tag>sample string 1</d3p1:Tag>
<d3p1:TagType>sample string 2</d3p1:TagType>
</d3p1:ItemTagResponse>
</Tags>
<UpdatedByContactKey>ba62916d-2917-4a68-afea-4309388107e1</UpdatedByContactKey>
<UpdatedOn>2026-01-24T13:01:15.7508099-05:00</UpdatedOn>
<UserPermissions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:string>sample string 1</d3p1:string>
<d3p1:string>sample string 2</d3p1:string>
</UserPermissions>
</Announcement>
<Announcement>
<AnnouncementKey>0024baf3-290a-49de-9d36-3f0b602a103a</AnnouncementKey>
<AnnouncementText>sample string 2</AnnouncementText>
<AnnouncementTitle>sample string 3</AnnouncementTitle>
<AnnouncementType>sample string 4</AnnouncementType>
<CommunityKey>16b3d287-8f02-4966-85c3-44b98958643f</CommunityKey>
<CommunityName>sample string 6</CommunityName>
<ContactDisplayName>sample string 8</ContactDisplayName>
<ContactLargePictureUrl>sample string 10</ContactLargePictureUrl>
<ContactSmallPictureUrl>sample string 11</ContactSmallPictureUrl>
<CreatedByContactKey>1f2f8b57-4197-450f-aa2f-46059793bfd1</CreatedByContactKey>
<CreatedOn>2026-01-24T13:01:15.7508099-05:00</CreatedOn>
<IsLoggingEnabled>true</IsLoggingEnabled>
<LinkText>sample string 14</LinkText>
<LinkToContactProfile>sample string 9</LinkToContactProfile>
<LinkUrl>sample string 15</LinkUrl>
<MicrositeGroupTypeRouteDesignKey>84f05f0b-ecc8-43d2-802c-b80c489e7138</MicrositeGroupTypeRouteDesignKey>
<OpenNewWindow>true</OpenNewWindow>
<Tags xmlns:d3p1="http://schemas.datacontract.org/2004/07/HigherLogic.API.Models.Enterprise.Tagging">
<d3p1:ItemTagResponse>
<d3p1:Tag>sample string 1</d3p1:Tag>
<d3p1:TagType>sample string 2</d3p1:TagType>
</d3p1:ItemTagResponse>
<d3p1:ItemTagResponse>
<d3p1:Tag>sample string 1</d3p1:Tag>
<d3p1:TagType>sample string 2</d3p1:TagType>
</d3p1:ItemTagResponse>
</Tags>
<UpdatedByContactKey>ba62916d-2917-4a68-afea-4309388107e1</UpdatedByContactKey>
<UpdatedOn>2026-01-24T13:01:15.7508099-05:00</UpdatedOn>
<UserPermissions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:string>sample string 1</d3p1:string>
<d3p1:string>sample string 2</d3p1:string>
</UserPermissions>
</Announcement>
</ArrayOfAnnouncement>